Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlena Laskavaia2010-05-12 12:46:09 -0400
committerAlena Laskavaia2010-05-12 12:46:09 -0400
commitb523cda50a99070e3e3d3885cecfcda5f71cd59d (patch)
tree1bea8ef459d44d665e278d3114e687fbc3e10d4c
parent02f73b5ead2a81bd2372775f387d56c309b4eeba (diff)
downloadorg.eclipse.cdt-b523cda50a99070e3e3d3885cecfcda5f71cd59d.tar.gz
org.eclipse.cdt-b523cda50a99070e3e3d3885cecfcda5f71cd59d.tar.xz
org.eclipse.cdt-b523cda50a99070e3e3d3885cecfcda5f71cd59d.zip
Still trying to fix tests failure by fixing dependencies
-rw-r--r--codan/org.eclipse.cdt.codan.core.test/META-INF/MANIFEST.MF6
-rw-r--r--releng/org.eclipse.cdt.testing-feature/feature.xml5
2 files changed, 7 insertions, 4 deletions
diff --git a/codan/org.eclipse.cdt.codan.core.test/META-INF/MANIFEST.MF b/codan/org.eclipse.cdt.codan.core.test/META-INF/MANIFEST.MF
index 55aeda2fc8..9ce0786a99 100644
--- a/codan/org.eclipse.cdt.codan.core.test/META-INF/MANIFEST.MF
+++ b/codan/org.eclipse.cdt.codan.core.test/META-INF/MANIFEST.MF
@@ -7,11 +7,11 @@ Bundle-Activator: org.eclipse.cdt.codan.core.test.CodanCoreTestActivator
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.cdt.codan.checkers;bundle-version="1.0.0",
org.eclipse.cdt.core,
- org.eclipse.core.resources;bundle-version="3.5.0",
+ org.eclipse.core.resources,
org.eclipse.cdt.core.tests,
- org.junit;bundle-version="3.8.2",
org.eclipse.cdt.codan.core;bundle-version="1.0.0",
- org.eclipse.cdt.codan.core.cxx;bundle-version="1.0.0"
+ org.eclipse.cdt.codan.core.cxx;bundle-version="1.0.0",
+ org.junit
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: Eclipse CDT
diff --git a/releng/org.eclipse.cdt.testing-feature/feature.xml b/releng/org.eclipse.cdt.testing-feature/feature.xml
index 6742744740..ac41698189 100644
--- a/releng/org.eclipse.cdt.testing-feature/feature.xml
+++ b/releng/org.eclipse.cdt.testing-feature/feature.xml
@@ -54,11 +54,14 @@
<import plugin="org.eclipse.cdt.core.lrparser" version="4.0.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.cdt.core.parser.upc"/>
<import plugin="org.eclipse.cdt.core.lrparser.tests" version="4.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.cdt.codan.checkers" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.core.resources" version="3.5.0" match="greaterOrEqual"/>
<import plugin="org.junit" version="3.8.2" match="greaterOrEqual"/>
<import plugin="org.eclipse.cdt.codan.core" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.cdt.codan.core.cxx" version="1.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.cdt.codan.checkers" version="1.0.0" match="greaterOrEqual"/>
+ <import plugin="org.apache.ant" version="1.6.5" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide.application"/>
+ <import plugin="org.eclipse.equinox.app"/>
</requires>
<plugin

Back to the top